class Movie < ApplicationRecord
  has_many :actor_movies, dependent: :destroy
  has_many :actors, through: :actor_movies

  has_one_attached :poster do |attachable|
    attachable.variant :thumb, resize_to_limit: [100, 100]
    attachable.variant :small, resize_to_limit: [200, 200]
    attachable.variant :medium, resize_to_limit: [300, 300]
  end
end
